Next: _gfortran_caf_event_wait, Previous: _gfortran_caf_unlock, Up: Function ABI Documentation

#### 7.2.19 `_gfortran_caf_event_post` — Post an event

Description:
  Increment the event count of the specified event variable.
Syntax:
  `void _gfortran_caf_event_post (caf_token_t token, size_t index, int image_index, int *stat, char *errmsg, size_t errmsg_len)`
Arguments:

  token | intent(in) An opaque pointer identifying the coarray.
  index | intent(in) Array index; first array index is 0. For scalars, it is always 0.
  image_index | intent(in) The ID of the remote image; must be a positive number; zero indicates the current image, when accessed noncoindexed.
  stat | intent(out) Stores the STAT=; may be NULL.
  errmsg | intent(out) When an error occurs, this will be set to an error message; may be NULL.
  errmsg_len | intent(in) the buffer size of errmsg

NOTES
  This acts like an atomic add of one to the remote image's event variable. The statement is an image-control statement but does not imply sync memory. Still, all preceeding push communications of this image to the specified remote image have to be completed before `event_wait` on the remote image returns.